Debian-Sicherheitsankündigung

DSA-896-1 linux-ftpd-ssl -- Pufferüberlauf

Datum des Berichts:
15. Nov 2005
Betroffene Pakete:
linux-ftpd-ssl
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 339074.
In Mitres CVE-Verzeichnis: CVE-2005-3524.
Weitere Informationen:

Ein Pufferüberlauf wurde in ftpd-ssl entdeckt, einem einfachen BSD FTP-Server mit Unterstützung für SSL-Verschlüsselung, der die Ausführung von beliebigem Code zur Folge haben kann.

Die alte Stable-Distribution (Woody) enthält die linux-ftpd-ssl-Pakete nicht.

Für die Stable-Distribution (Sarge) wurde dieses Problem in Version 0.17.18+0.3-3sarge1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 0.17.18+0.3-5 behoben.

Wir empfehlen Ihnen, Ihr ftpd-ssl-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/linux-ftpd-ssl_0.17.18+0.3-3sarge1.dsc
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/linux-ftpd-ssl_0.17.18+0.3-3sarge1.diff.gz
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/linux-ftpd-ssl_0.17.18+0.3.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/linux-ftpd-ssl/ftpd-ssl_0.17.18+0.3-3sarge1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.